namespace Gyak2
{
    internal class Program
    {
        static void exampleCountEvent(int v)
        {
            Console.WriteLine($"Páratlan számok száma: {v}");

        }

        static void Main(string[] args)
        {
            Aggregate a = new Aggregate();
            a.IsOdd += exampleCountEvent;
            a.Sum = 0;
            for (int i = 0; i < 100; i++)
            {
                a.IncludeValue(i);
            }

        }
    
    
    }
